Bug 56194 - when reference is update in word after exporting .odt to .doc file the font turns to black and gets bigger (see comment 11)
Summary: when reference is update in word after exporting .odt to .doc file the font t...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.2.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: DOC
  Show dependency treegraph
 
Reported: 2012-10-19 16:49 UTC by Nicolas Mailhot
Modified: 2021-05-14 04:11 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
testcase (72.02 KB, application/vnd.oasis.opendocument.text)
2012-10-19 16:49 UTC, Nicolas Mailhot
Details
PDF output of .doc opened in MSO 2013 (8.99 KB, application/pdf)
2014-11-18 17:32 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Mailhot 2012-10-19 16:49:30 UTC
Created attachment 68812 [details]
testcase

The formatting of the attached document is not exported properly to .doc

It looks ok at first sight, but as soon as the doc user refreshes the headers their size go mad
Comment 1 bfoman (inactive) 2013-05-09 10:15:19 UTC
(In reply to comment #0)
> It looks ok at first sight, but as soon as the doc user refreshes the
> headers their size go mad

Please elaborate what is wrong, attaching a screenshot would help as well.

BTW: Considering all your bug reports - the more detailed description, along with test file, steps to reproduce, screenshots, the better chance that it will be understood by potential developer and fixed.
Comment 2 Nicolas Mailhot 2013-05-10 01:04:13 UTC
Save testcase in .doc in libreoffice (any version), open result in word 2007, look at headers → they are in small font like in libreoffice

Select headers, refresh (F9) : theyr formatting changes (a lot)

Libreoffice export to .doc is wrong, but somehow it looks ok till the first document refresh
Comment 3 QA Administrators 2013-12-22 21:58:08 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2014-02-02 02:00:30 UTC Comment hidden (obsolete)
Comment 5 Nicolas Mailhot 2014-02-07 13:43:17 UTC
Please read the explanations already typed in this report and explain what you can not understand.
Comment 6 bfoman (inactive) 2014-02-07 16:08:24 UTC
(In reply to comment #5)
> Please read the explanations already typed in this report and explain what
> you can not understand.

You did not change the status from NEEDINFO to UNCONFIRMED as requested in comment 3. Therefore this bus was closed automatically.
Comment 7 Joel Madero 2014-11-06 00:44:26 UTC
Never confirmed by QA team - moving to UNCONFIRMED. Thanks for your patience and understanding.
Comment 8 Buovjaga 2014-11-18 17:29:29 UTC
Opened in MSO 2013. I assume that by "headers" you mean Référence, Indice and Définitif. If I select one of them and press F9, nothing happens to the size. Win 8.1.
Comment 9 Buovjaga 2014-11-18 17:32:47 UTC
Created attachment 109676 [details]
PDF output of .doc opened in MSO 2013

I saved to .doc in LibO and opened in MSO 2013. It does look a bit wrong, date turned into question marks.
Comment 10 retired 2015-01-04 10:53:58 UTC
#88013 files for the date on page 1 getting replaced with "??" when being opened in word.
Comment 11 retired 2015-01-04 11:12:23 UTC
Translation of what this bug seems to be about:

Reproduce:

* open .odt file
* export as .doc file
* open .doc file with Word
* go to page 2, double click in header, then right-click the word "foo-bar" and update from the right-click menu

Currently: after the update is done, the font changes from blue to black and increases in size

Expected: font should stay the same.

There's a ton of other problems with this beautiful testfile but one issues per bug.
Comment 12 Buovjaga 2015-01-04 11:14:10 UTC
Confirmed the result in comment 11 on Win 8.1 32-bit, MSO 2013.

.doc saved using Win 7 64-bit Version: 4.5.0.0.alpha0+
Build ID: 57626f2132f73e4e42b31e364b25c5867336e718
TinderBox: Win-x86@42, Branch:master, Time: 2014-12-26_09:26:33
Comment 13 QA Administrators 2016-01-17 20:04:51 UTC Comment hidden (spam)
Comment 14 QA Administrators 2019-05-14 02:53:28 UTC Comment hidden (obsolete, spam)
Comment 15 QA Administrators 2021-05-14 04:11:07 UTC
Dear Nicolas Mailhot,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug